/* ***************************************************************************+
 * ITX package (cnrg.itx) for telephony application programming.              *
 * Copyright (c) 1999  Cornell University, Ithaca NY.                         *
 * A copy of the license is distributed with this package.  Look in the docs  *
 * directory, filename GPL.  Contact information: bergmark@cs.cornell.edu     *
 ******************************************************************************/

package cnrg.itx.datax.devices;

import cnrg.itx.datax.*;

/**
 * Class for creating a placeholder Destination when we use Channels with no real Destination, but do have a destination for data.
 */	
public class DummyDestination implements Destination {
	public DummyDestination() {}
	public void start() {} 
	public void write(byte[] d){}
	public boolean mute(boolean b){return true;} 
	public void close() {}
	public Stats getStatistics(){return null;}
	public PropertiesCollection getProperties(){return null;}
	public void setProperties(PropertiesCollection pc){}
	public void setPeerProperties(PropertiesCollection pc){}
	
		
}